# Module lease_checker

- Description
- Function Index
- Function Details

check ring.

Copyright © 2012-2014 Zuse Institute Berlin,

Version: $Id$

Authors: Thorsten Schuett (`schuett@zib.de`).

## Description

check ring.

## Function Index

check_leases_for_all_nodes/0 |
check_leases_for_the_ring/0 |
check_leases_for_the_ring/1 |
get_random_save_node/0 | returns a random node, which covers 0.25 or less of the key-space.

## Function Details

### check_leases_for_all_nodes/0

    check_leases_for_all_nodes() -> boolean()

### check_leases_for_the_ring/0

    check_leases_for_the_ring() -> boolean()

### check_leases_for_the_ring/1

    check_leases_for_the_ring(TargetSize :: pos_integer()) ->
                                 boolean()

### get_random_save_node/0

    get_random_save_node() -> comm:mypid()

returns a random node, which covers 0.25 or less of the key-space

Generated by EDoc, Feb 29 2016, 16:12:13.